Skip to main content
PATCH
/
v1
/
buckets
/
{bucket_identifier}
Partially Update Bucket
curl --request PATCH \
  --url https://api.mixpeek.com/v1/buckets/{bucket_identifier} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bucket_name": "<string>",
  "description": "<string>",
  "metadata": {},
  "bucket_schema": {
    "properties": {}
  },
  "source_adapter": {
    "adapter_type": "<string>",
    "enabled": true,
    "connection_id": "<string>",
    "connection": {
      "api_base_url": "<string>",
      "credentials": {}
    },
    "event_filter": {
      "event_types": [
        "<string>"
      ]
    },
    "field_mapping": {},
    "blob_source": {
      "file_field": "<string>",
      "target_property": "<string>",
      "blob_type": "video"
    },
    "batching": {
      "mode": "time_window",
      "window_seconds": 30,
      "max_batch_size": 100,
      "auto_submit": true
    },
    "dedup_key": "<string>",
    "webhook_secret": "<string>",
    "webhook_url": "<string>"
  }
}
'
{
  "bucket_name": "<string>",
  "object_count": 123,
  "total_size_bytes": 123,
  "bucket_id": "<string>",
  "description": "<string>",
  "bucket_schema": {
    "properties": {}
  },
  "unique_key": {
    "default_policy": "upsert",
    "fields": [
      "video_id"
    ]
  },
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_upload_at": "2023-11-07T05:31:56Z",
  "stats_updated_at": "2023-11-07T05:31:56Z",
  "status": "ACTIVE",
  "is_locked": false,
  "batch_stats": {
    "total": 0,
    "active": 0,
    "completed": 0,
    "failed": 0
  },
  "storage_stats": {
    "total_size_bytes": 0,
    "avg_size_bytes": 0,
    "max_size_bytes": 0,
    "min_size_bytes": 0
  },
  "source_adapter": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

bucket_identifier
string
required

Body

application/json

Request model for partial update of an existing bucket (PATCH operation).

bucket_name
string | null

Human-readable name for the bucket

description
string | null

Description of the bucket

metadata
Metadata · object | null

Additional metadata for the bucket

bucket_schema
BucketSchema · object | null

Schema definition for objects in this bucket

source_adapter
SourceAdapterConfig · object | null

Source adapter configuration for inbound webhook-driven ingestion

Response

Successful Response

Response model for bucket operations.

bucket_name
string
required

Human-readable name for the bucket

object_count
integer
required

Number of objects in the bucket

total_size_bytes
integer
required

Total size of all objects in the bucket in bytes

bucket_id
string

Unique identifier for the bucket

description
string | null

Description of the bucket

bucket_schema
BucketSchema · object | null

Schema definition for objects in this bucket

unique_key
UniqueKeyConfig · object | null

Unique key configuration for this bucket (if configured)

Example:
{
"default_policy": "upsert",
"fields": ["video_id"]
}
metadata
Metadata · object

Additional metadata for the bucket

storage_class
enum<string> | null

Object-storage tier for this bucket's objects: standard | nearline | coldline | archive. Provider-agnostic (GCS STANDARD/NEARLINE/COLDLINE/ARCHIVE; S3/MinIO STANDARD/STANDARD_IA/GLACIER). NOTE: applied on write for sync-based ingestion (the primary media path); tiering for direct/presigned uploads and retroactive re-tiering of existing objects are in progress (TG-2837). None = provider default.

Available options:
standard,
nearline,
coldline,
archive
created_at
string<date-time> | null

When the bucket was created

updated_at
string<date-time> | null

Last modification time of bucket metadata

last_upload_at
string<date-time> | null

When the last object was uploaded to this bucket

stats_updated_at
string<date-time> | null

When bucket stats were last successfully recalculated

status
enum<string>
default:ACTIVE

Bucket lifecycle status (ACTIVE, ARCHIVED, SUSPENDED, IN_PROGRESS for deleting)

Available options:
PENDING,
QUEUED,
IN_PROGRESS,
PROCESSING,
COMPLETED,
COMPLETED_WITH_ERRORS,
FAILED,
CANCELED,
INTERRUPTED,
UNKNOWN,
SKIPPED,
DRAFT,
ACTIVE,
ARCHIVED,
SUSPENDED
is_locked
boolean
default:false

Whether the bucket is locked (read-only)

batch_stats
BatchStatistics · object | null

Batch statistics for this bucket (calculated asynchronously, stored in DB)

storage_stats
StorageStatistics · object | null

Storage statistics for this bucket (calculated asynchronously, stored in DB)

source_adapter
Source Adapter · object | null

Source adapter configuration for inbound webhook-driven ingestion